"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@nestjs/core");
const app_module_1 = require("./app.module");
const microservices_1 = require("@nestjs/microservices");
const common_1 = require("@nestjs/common");
const logger = new common_1.Logger();
async function bootstrap() {
    const nestOptions = {
        cors: {
            origin: '*',
            methods: 'GET,HEAD,PUT,PATCH,POST,DELETE,OPTIONS',
            maxAge: 86400,
            preflightContinue: false,
            optionsSuccessStatus: 204,
        }, bodyParser: true
    };
    const app = await core_1.NestFactory.create(app_module_1.AppModule, nestOptions);
    await app.connectMicroservice({
        transport: microservices_1.Transport.TCP,
        options: {
            host: "127.0.0.1",
            port: 8888
        },
    });
    app.enableCors({
        allowedHeaders: ['*']
    });
    app.startAllMicroservices();
}
bootstrap().then(() => console.log('Application is listening on port'));
bootstrap();
//# sourceMappingURL=main.js.map