import { Module } from '@nestjs/common';
import { AlgorithmController } from './algorithm.controller';
import { AlgorithmService } from './algorithm.service';
import { DatabaseModule } from '../database/database.module';
import { channelJctProvider, channelMatchingProvider, productJctProvider, productMatchingProvider } from './provider/channelJCT.provider';


@Module({
  imports: [DatabaseModule],
  controllers: [AlgorithmController],
  providers: [AlgorithmService, ...channelJctProvider,...productJctProvider, ...productMatchingProvider, ...channelMatchingProvider]
})
export class AlgorithmModule {}
