import { BeforeCreate, BeforeUpdate, Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, ForeignKey, BelongsTo, HasOne, BelongsToMany } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
var Sequelize = require('sequelize');

const tableOptions: IDefineOptions = {timestamps: false,  tableName: 'tblChannelJCT' } as IDefineOptions;

@Table(tableOptions)

export class ChannelJCT extends Model<ChannelJCT>
{
	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	channelJCTId: number;

	@Column(DataType.BIGINT)
	channelId: number;

	@Column(DataType.BIGINT)
	partnerChannelId: number;

	@Column(DataType.BIGINT)
	connectionStatusTypeId: number;

	@Column(DataType.BIGINT)
	rank: number;

	@Column(DataType.BIGINT)
	matchingScore: number;

	@Column(DataType.INTEGER)
	suggestion_connect_flag: number

	@Column
	isConfidential: string;

	@Column(DataType.DATE)
	deletedat: Date

	@AllowNull(false)
	@Column(DataType.DATE)
	createdAt: Date

	@Column(DataType.BIGINT)
	requested_to: number;

	@Column(DataType.BIGINT)
	requested_by: number;
	
}
