import { BeforeCreate, BeforeUpdate, Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, ForeignKey, BelongsTo, HasOne, BelongsToMany } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
var Sequelize = require('sequelize');

const tableOptions: IDefineOptions = {timestamps: false,  tableName: 'tblProductJCT' } as IDefineOptions;

@Table(tableOptions)

export class ProductJCT extends Model<ProductJCT>
{
	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	productJCTId: number;

	@Column(DataType.BIGINT)
	channelId: number;

	@Column(DataType.BIGINT)
	partnerChannelId: number;

	@Column(DataType.BIGINT)
	connectionStatusTypeId: number;

    @Column(DataType.BIGINT)
	productId: number;	

	@Column(DataType.BIGINT)
	rank: number;	

	@Column(DataType.DATE)
	deletedat: Date

	@AllowNull(false)
	@Column(DataType.DATE)
	createdAt: Date

	@Column(DataType.BIGINT)
	requested_to: number;

	@Column(DataType.BIGINT)
	requested_by: number;
	
}
