import { Module } from '@nestjs/common';
import { AppController } from './app.controller';
import { AppService } from './app.service';
import { AlgorithmModule } from './algorithm/algorithm.module';
import { ConfigModule } from '@nestjs/config';
import { AlgorithmController } from './algorithm/algorithm.controller';
import { AlgorithmService } from './algorithm/algorithm.service';
import { DatabaseModule } from './database/database.module';
import { databaseProviders } from './database/database.providers'

@Module({
  imports: [
    ConfigModule.forRoot({isGlobal:true}),
    AlgorithmModule,ConfigModule,DatabaseModule,],
  controllers: [AppController],
  providers: [AppService],
})
export class AppModule {}
