import { Sequelize } from 'sequelize-typescript';
import { databaseConfig } from './database.config';
import { ChannelJCT } from '../algorithm/models/ChannelJCT.entity';
import { ChannelMatching } from 'src/algorithm/models/ChannelMatching.entity';
import { ProductMatching } from 'src/algorithm/models/ProductMatching.entity';
import { ProductJCT } from 'src/algorithm/models/ProductJCT.entity';

export const databaseProviders = [{
    provide: 'SequelizeInstance',
    useFactory: async () => {
        let config;
        switch (process.env.NODE_ENV) {
        case 'DEVELOPMENT':
           config = databaseConfig.development;
           break;
        case 'TEST':
           config = databaseConfig.test;
           break;
        case 'PRODUCTION':
           config = databaseConfig.production;
           break;
        default:
           config = databaseConfig.development;
        }
        //let file_type = process.env.RUN_MODE == 'DEBUG' ? 'ts' : 'js';
        const sequelize = new Sequelize(config);
        sequelize.addModels([ChannelJCT, ChannelMatching, ProductMatching,ProductJCT]);
        //sequelize.addModels([__dirname + '/../**/*.entity.' + file_type]);
        await sequelize.sync();
        return sequelize;
    },
}];