import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { ConfigService } from '@nestjs/config';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { NestApplicationOptions } from '@nestjs/common/interfaces/nest-application-options.interface';
import { Logger } from '@nestjs/common';

const logger = new Logger();

async function bootstrap() {

  const nestOptions: NestApplicationOptions = {
    cors: {
      origin: '*',
      methods: 'GET,HEAD,PUT,PATCH,POST,DELETE,OPTIONS',
      maxAge: 86400,
      preflightContinue: false,
      optionsSuccessStatus: 204,
    }, bodyParser: true
  };
  const app = await NestFactory.create(AppModule, nestOptions);

  //await app.init();
  //const configService = await app.get(ConfigService);
  await app.connectMicroservice<MicroserviceOptions>({
    transport: Transport.TCP,
    options: {
      //port:configService.get('7000'),
      host: "127.0.0.1",
      port: 8888
    },
  });
  app.enableCors({
    allowedHeaders: ['*']
  });
  app.startAllMicroservices();
  //app.listen(() => logger.log("Microservice A is listening"));
}
//bootstrap().then(()=>console.log('Application is listening on port:',4000));
bootstrap().then(() => console.log('Application is listening on port'));

// async function bootstrap() {
//   const app = await NestFactory.createMicroservice(AppModule, {
//     transport: Transport.TCP,
//     options: {
//       host: "127.0.0.1",
//       port: 8888
//     }
//   });
//   app.enableCors({
//     allowedHeaders: ['*']
// 	});
//   app.listen(() => logger.log("Microservice A is listening"));
// }
bootstrap();